<testsuites>
  <!--Report is generated by Rally 3.0.1~dev11 at 2020-04-20T20:13:19.785284-->
  <testsuite errors="0" failures="0" id="9f7d7f49-b67b-41cc-82c4-7517f1906ffe" skipped="10" tests="54" time="111.11" timestamp="2020-04-20T20:11:15">
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestMtusJSON" id="175b05ae-66ad-44c7-857a-a12d16f1058f" name="test_add_subport_with_mtu_equal_to_trunk" time="0.000">
      <skipped>Either vxlan or gre type driver not enabled.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestMtusJSON" id="2004c5c6-e557-4c43-8100-c820ad4953e8" name="test_add_subport_with_mtu_greater_than_subport" time="0.000">
      <skipped>Either vxlan or gre type driver not enabled.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestMtusJSON" id="22725101-f4bc-4e00-84ec-4e02cd7e0500" name="test_create_trunk_with_mtu_equal_to_subport" time="0.000">
      <skipped>Either vxlan or gre type driver not enabled.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestMtusJSON" id="0f05d98e-41f5-4629-ac29-9aee269c9602" name="test_create_trunk_with_mtu_greater_than_subport" time="0.000">
      <skipped>Either vxlan or gre type driver not enabled.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestMtusJSON" id="3b32bf77-8002-403e-ad01-6f4cf018daa5" name="test_add_subport_with_mtu_greater_than_trunk" time="0.000">
      <skipped>Either vxlan or gre type driver not enabled.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestMtusJSON" id="228380ef-1b7a-495e-b759-5b1f08e3e858" name="test_create_trunk_with_mtu_smaller_than_subport" time="0.000">
      <skipped>Either vxlan or gre type driver not enabled.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestInheritJSONBase" id="0f05d98e-41f5-4629-dada-9aee269c9602" name="test_add_subport" time="14.530" timestamp="2020-04-20T20:11:20+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_details.TestTrunkDetailsJSON" id="fe6d865f-1d5c-432e-b65d-904157172f24" name="test_port_resource_empty_trunk_details" time="6.014" timestamp="2020-04-20T20:11:20+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="00cb40bb-1593-44c8-808c-72b47e64252f" name="test_add_subport_duplicate_segmentation_details" time="10.609" timestamp="2020-04-20T20:11:20+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="bb5fcead-09b5-484a-bbe6-46d1e06d6cc0" name="test_add_subports" time="9.066" timestamp="2020-04-20T20:11:21+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="eafe7024-77ab-4cfe-824b-0b2bf4217727" name="test_list_no_pagination_limit_0" time="0.051" timestamp="2020-04-20T20:11:26+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="b202fdc8-6616-45df-b6a0-463932de6f94" name="test_list_pagination" time="0.156" timestamp="2020-04-20T20:11:26+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="f8857391-dc44-40cc-89b7-2800402e03ce" name="test_list_pagination_page_reverse_asc" time="0.079" timestamp="2020-04-20T20:11:26+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="ae51e9c9-ceae-4ec0-afd4-147569247699" name="test_list_pagination_page_reverse_desc" time="0.060" timestamp="2020-04-20T20:11:26+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="b4293e59-d794-4a93-be09-38667199ef68" name="test_list_pagination_page_reverse_with_href_links" time="0.207" timestamp="2020-04-20T20:11:26+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="dcd02a7a-f07e-4d5e-b0ca-b58e48927a9b" name="test_list_pagination_with_href_links" time="0.418" timestamp="2020-04-20T20:11:26+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_details.TestTrunkDetailsJSON" id="f0bed24f-d36a-498b-b4e7-0d66e3fb7308" name="test_port_resource_trunk_details_no_subports" time="5.796" timestamp="2020-04-20T20:11:26+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="c4723b8e-8186-4b9a-bf9e-57519967e048" name="test_list_pagination_with_marker" time="0.234" timestamp="2020-04-20T20:11:27+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="fab73df4-960a-4ae3-87d3-60992b8d3e2d" name="test_list_sorts_asc" time="0.022" timestamp="2020-04-20T20:11:27+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunksSearchCriteriaTest" id="a426671d-7270-430f-82ff-8f33eec93010" name="test_list_sorts_desc" time="0.026" timestamp="2020-04-20T20:11:27+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="7de46c22-e2b6-4959-ac5a-0e624632ab32" name="test_create_show_delete_trunk" time="7.274" timestamp="2020-04-20T20:11:30+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="4eac8c25-83ee-4051-9620-34774f565730" name="test_add_subport_passing_dict" time="4.854" timestamp="2020-04-20T20:11:31+0000" />
    <testcase classname="neutron_tempest_plugin.scenario.test_trunk.TrunkTest" id="d61cbdf6-1896-491c-b4b4-871caf7fbffe" name="test_parent_port_connectivity_after_trunk_deleted_lb" time="0.000" timestamp="2020-04-20T20:11:31+0000">
      <skipped>Advanced image is required to run this test.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.scenario.test_trunk.TrunkTest" id="a8a02c9b-b453-49b5-89a2-cce7da66aafb" name="test_subport_connectivity" time="0.000" timestamp="2020-04-20T20:11:31+0000">
      <skipped>Advanced image is required to run this test.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.scenario.test_trunk.TrunkTest" id="bb13fe28-f152-4000-8131-37890a40c79e" name="test_trunk_subport_lifecycle" time="43.165" timestamp="2020-04-20T20:11:31+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_details.TestTrunkDetailsJSON" id="544bcaf2-86fb-4930-93ab-ece1c3cc33df" name="test_port_resource_trunk_details_with_subport" time="8.523" timestamp="2020-04-20T20:11:32+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="7f132ccc-1380-42d8-9c44-50411612bd01" name="test_add_subport_port_id_disabled_trunk" time="4.641" timestamp="2020-04-20T20:11:36+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="e1a6355c-4768-41f3-9bf8-0f1d192bd501" name="test_create_trunk_empty_subports_list" time="3.388" timestamp="2020-04-20T20:11:37+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="382dfa39-ca03-4bd3-9a1c-91e36d2e3796" name="test_create_trunk_subports_not_specified" time="5.913" timestamp="2020-04-20T20:11:40+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="6f132ccc-1380-42d8-9c44-50411612bd01" name="test_add_subport_port_id_uses_parent_port_id" time="6.435" timestamp="2020-04-20T20:11:40+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="4ce46c22-a2b6-4659-bc5a-0ef2463cab32" name="test_create_update_trunk" time="5.027" timestamp="2020-04-20T20:11:46+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="40aed9be-e976-47d0-dada-bde2c7e74e57" name="test_create_subport_invalid_inherit_network_segmentation_type" time="0.001" timestamp="2020-04-20T20:11:47+0000">
      <skipped>Vxlan type driver must be enabled for this test.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="7e0f99ab-fe37-408b-a889-9e44ef300084" name="test_create_subport_missing_segmentation_id" time="7.635" timestamp="2020-04-20T20:11:47+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="5ff46c22-a2b6-5559-bc5a-0ef2463cab32" name="test_create_update_trunk_with_description" time="4.112" timestamp="2020-04-20T20:11:51+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="a5c5200a-72a0-43c5-a11a-52f808490344" name="test_create_subport_nonexistent_port_id" time="5.279" timestamp="2020-04-20T20:11:54+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="ee5fcead-1abf-483a-bce6-43d1e06d6aa0" name="test_delete_trunk_with_subport_is_allowed" time="8.846" timestamp="2020-04-20T20:11:55+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="80deb6a9-da2a-48db-b7fd-bcef5b14edc1" name="test_create_subport_nonexistent_trunk" time="3.154" timestamp="2020-04-20T20:12:00+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="40aed9be-e976-47d0-a555-bde2c7e74e57" name="test_create_trunk_duplicate_subport_segmentation_ids" time="11.142" timestamp="2020-04-20T20:12:03+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="bb5fcaad-09b5-484a-dde6-4cd1ea6d6ff0" name="test_get_subports" time="7.129" timestamp="2020-04-20T20:12:04+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="73365f73-bed6-42cd-960b-ec04e0c99d85" name="test_list_trunks" time="12.456" timestamp="2020-04-20T20:12:11+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="1b5cf87a-1d3a-4a94-ba64-647153d54f32" name="test_create_trunk_nonexistent_port_id" time="0.072" timestamp="2020-04-20T20:12:14+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="980bca3b-b0be-45ac-8067-b401e445b796" name="test_create_trunk_nonexistent_subport_port_id" time="7.157" timestamp="2020-04-20T20:12:14+0000" />
    <testcase classname="neutron_tempest_plugin.scenario.test_trunk.TrunkTest" id="ecd7de30-1c90-4280-b97c-1bed776d5d07" name="test_trunk_vm_migration" time="0.000" timestamp="2020-04-20T20:12:14+0000">
      <skipped>Advanced image is required to run this test.</skipped>
    </testcase>
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="a717691c-4e07-4d81-a98d-6f1c18c5d183" name="test_create_trunk_with_subport_missing_port_id" time="2.748" timestamp="2020-04-20T20:12:21+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="96eea398-a03c-4c3e-a99e-864392c2ca53" name="test_remove_subport" time="15.228" timestamp="2020-04-20T20:12:24+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="a315d78b-2f43-4efa-89ae-166044c568aa" name="test_create_trunk_with_subport_missing_segmentation_id" time="3.732" timestamp="2020-04-20T20:12:24+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="33498618-f75a-4796-8ae6-93d4fd203fa4" name="test_create_trunk_with_subport_missing_segmentation_type" time="3.934" timestamp="2020-04-20T20:12:28+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="343a03d0-4f7c-11e6-97fa-40a8f063c891" name="test_delete_port_in_use_by_subport" time="11.072" timestamp="2020-04-20T20:12:32+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk.TrunkTestJSON" id="8d83a6ca-662d-45b8-8062-d513077296aa" name="test_show_trunk_has_project_id" time="3.288" timestamp="2020-04-20T20:12:39+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="6c9c5126-4f61-11e6-8248-40a8f063c891" name="test_delete_port_in_use_by_trunk" time="4.416" timestamp="2020-04-20T20:12:43+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="9f132ccc-1380-42d8-9c44-50411612bd01" name="test_delete_trunk_disabled_trunk" time="3.023" timestamp="2020-04-20T20:12:47+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="aaca7dd7-96b8-445a-931e-63f0d86d2fe2" name="test_remove_subport_not_found" time="7.624" timestamp="2020-04-20T20:12:50+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="17ca7dd7-96a8-445a-941e-53c0c86c2fe2" name="test_remove_subport_passing_dict" time="8.497" timestamp="2020-04-20T20:12:58+0000" />
    <testcase classname="neutron_tempest_plugin.api.test_trunk_negative.TrunkTestJSON" id="8f132ccc-1380-42d8-9c44-50411612bd01" name="test_remove_subport_port_id_disabled_trunk" time="3.645" timestamp="2020-04-20T20:13:06+0000" />
  </testsuite>
</testsuites>
